//by JuSNS v1.0系列
//官方站：www.juSNS.com，演示站:www.ju001.com，www.julala.cn
//QQ:655071(技术)，QQ:9170617（客服）
//MSN:simplt@163.com EMail:simplt@163.com
//program design by Simplt.Xie，arjun
//========================================

using System;
using System.Collections.Generic;
using System.Text;
using JuSNS.Model;
using JuSNS.Common;
using JuSNS.Factory;

namespace JuSNS.Home
{
    /// <summary>
    /// 群组邀请类
    /// </summary>
    public class GroupInvite
    {
        private IGroupInvite dal;

        /// <summary>
        /// 构造函数
        /// </summary>
        public GroupInvite()
        {
            dal = DataAccess.CreateGroupInvite();
        }

        /// <summary>
        /// 邀请(申请)加入群组
        /// </summary>
        /// <param name="Info">群组邀请实体类</param>
        /// <returns>添加成功返回1</returns>
        public int Add(GroupInviteInfo Info)
        {
            return dal.Add(Info);
        }

        /// <summary>
        /// 回复邀请(申请)加入群组
        /// </summary>
        /// <param name="Info">群组邀请实体类</param>
        /// <returns>回复成功返回1</returns>
        public int Reponse(GroupInviteInfo Info)
        {
            return dal.Reponse(Info);
        }
    }
}
